%global modulename mkdirp

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-mkdirp
Version:        0.5.1
Release:        1%{?dist}
Summary:        Recursively mkdir, like `mkdir -p`

License:        MIT
URL:            https://github.com/substack/node-mkdirp#readme
Source0:        http://registry.npmjs.org/mkdirp/-/mkdirp-0.5.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(minimist) = 0.0.8))

Requires:       npmlib(%{modulename}) = %{version}

%description
Recursively mkdir, like `mkdir -p`

%package 0.5.1
Summary:        Recursively mkdir, like `mkdir -p`


%description 0.5.1
Recursively mkdir, like `mkdir -p`

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr examples %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/cmd.js %{buildroot}/%{_bindir}/mkdirp


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.markdown
%license LICENSE
%{_bindir}/mkdirp
%{nodejs_dir}/%{modulename}

%files 0.5.1
%doc readme.markdown
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 0.5.1-1
- Package automatically generated by npm2srpm
